package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsMerSettleAcctExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsMerSettleAcctExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNull() {
            addCriterion("mer_id is null");
            return (Criteria) this;
        }

        public Criteria andMerIdIsNotNull() {
            addCriterion("mer_id is not null");
            return (Criteria) this;
        }

        public Criteria andMerIdEqualTo(Long value) {
            addCriterion("mer_id =", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotEqualTo(Long value) {
            addCriterion("mer_id <>", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThan(Long value) {
            addCriterion("mer_id >", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdGreaterThanOrEqualTo(Long value) {
            addCriterion("mer_id >=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThan(Long value) {
            addCriterion("mer_id <", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdLessThanOrEqualTo(Long value) {
            addCriterion("mer_id <=", value, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdIn(List<Long> values) {
            addCriterion("mer_id in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotIn(List<Long> values) {
            addCriterion("mer_id not in", values, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdBetween(Long value1, Long value2) {
            addCriterion("mer_id between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andMerIdNotBetween(Long value1, Long value2) {
            addCriterion("mer_id not between", value1, value2, "merId");
            return (Criteria) this;
        }

        public Criteria andSettleTypeIsNull() {
            addCriterion("settle_type is null");
            return (Criteria) this;
        }

        public Criteria andSettleTypeIsNotNull() {
            addCriterion("settle_type is not null");
            return (Criteria) this;
        }

        public Criteria andSettleTypeEqualTo(Integer value) {
            addCriterion("settle_type =", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeNotEqualTo(Integer value) {
            addCriterion("settle_type <>", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeGreaterThan(Integer value) {
            addCriterion("settle_type >", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("settle_type >=", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeLessThan(Integer value) {
            addCriterion("settle_type <", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeLessThanOrEqualTo(Integer value) {
            addCriterion("settle_type <=", value, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeIn(List<Integer> values) {
            addCriterion("settle_type in", values, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeNotIn(List<Integer> values) {
            addCriterion("settle_type not in", values, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeBetween(Integer value1, Integer value2) {
            addCriterion("settle_type between", value1, value2, "settleType");
            return (Criteria) this;
        }

        public Criteria andSettleTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("settle_type not between", value1, value2, "settleType");
            return (Criteria) this;
        }

        public Criteria andCommissionImgIsNull() {
            addCriterion("commission_img is null");
            return (Criteria) this;
        }

        public Criteria andCommissionImgIsNotNull() {
            addCriterion("commission_img is not null");
            return (Criteria) this;
        }

        public Criteria andCommissionImgEqualTo(String value) {
            addCriterion("commission_img =", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgNotEqualTo(String value) {
            addCriterion("commission_img <>", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgGreaterThan(String value) {
            addCriterion("commission_img >", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgGreaterThanOrEqualTo(String value) {
            addCriterion("commission_img >=", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgLessThan(String value) {
            addCriterion("commission_img <", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgLessThanOrEqualTo(String value) {
            addCriterion("commission_img <=", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgLike(String value) {
            addCriterion("commission_img like", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgNotLike(String value) {
            addCriterion("commission_img not like", value, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgIn(List<String> values) {
            addCriterion("commission_img in", values, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgNotIn(List<String> values) {
            addCriterion("commission_img not in", values, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgBetween(String value1, String value2) {
            addCriterion("commission_img between", value1, value2, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andCommissionImgNotBetween(String value1, String value2) {
            addCriterion("commission_img not between", value1, value2, "commissionImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgIsNull() {
            addCriterion("bank_card_img is null");
            return (Criteria) this;
        }

        public Criteria andBankCardImgIsNotNull() {
            addCriterion("bank_card_img is not null");
            return (Criteria) this;
        }

        public Criteria andBankCardImgEqualTo(String value) {
            addCriterion("bank_card_img =", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgNotEqualTo(String value) {
            addCriterion("bank_card_img <>", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgGreaterThan(String value) {
            addCriterion("bank_card_img >", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgGreaterThanOrEqualTo(String value) {
            addCriterion("bank_card_img >=", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgLessThan(String value) {
            addCriterion("bank_card_img <", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgLessThanOrEqualTo(String value) {
            addCriterion("bank_card_img <=", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgLike(String value) {
            addCriterion("bank_card_img like", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgNotLike(String value) {
            addCriterion("bank_card_img not like", value, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgIn(List<String> values) {
            addCriterion("bank_card_img in", values, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgNotIn(List<String> values) {
            addCriterion("bank_card_img not in", values, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgBetween(String value1, String value2) {
            addCriterion("bank_card_img between", value1, value2, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankCardImgNotBetween(String value1, String value2) {
            addCriterion("bank_card_img not between", value1, value2, "bankCardImg");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNull() {
            addCriterion("bank_name is null");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNotNull() {
            addCriterion("bank_name is not null");
            return (Criteria) this;
        }

        public Criteria andBankNameEqualTo(String value) {
            addCriterion("bank_name =", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotEqualTo(String value) {
            addCriterion("bank_name <>", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThan(String value) {
            addCriterion("bank_name >", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThanOrEqualTo(String value) {
            addCriterion("bank_name >=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThan(String value) {
            addCriterion("bank_name <", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThanOrEqualTo(String value) {
            addCriterion("bank_name <=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLike(String value) {
            addCriterion("bank_name like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotLike(String value) {
            addCriterion("bank_name not like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameIn(List<String> values) {
            addCriterion("bank_name in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotIn(List<String> values) {
            addCriterion("bank_name not in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameBetween(String value1, String value2) {
            addCriterion("bank_name between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotBetween(String value1, String value2) {
            addCriterion("bank_name not between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankCardNoIsNull() {
            addCriterion("bank_card_no is null");
            return (Criteria) this;
        }

        public Criteria andBankCardNoIsNotNull() {
            addCriterion("bank_card_no is not null");
            return (Criteria) this;
        }

        public Criteria andBankCardNoEqualTo(String value) {
            addCriterion("bank_card_no =", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoNotEqualTo(String value) {
            addCriterion("bank_card_no <>", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoGreaterThan(String value) {
            addCriterion("bank_card_no >", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoGreaterThanOrEqualTo(String value) {
            addCriterion("bank_card_no >=", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoLessThan(String value) {
            addCriterion("bank_card_no <", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoLessThanOrEqualTo(String value) {
            addCriterion("bank_card_no <=", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoLike(String value) {
            addCriterion("bank_card_no like", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoNotLike(String value) {
            addCriterion("bank_card_no not like", value, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoIn(List<String> values) {
            addCriterion("bank_card_no in", values, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoNotIn(List<String> values) {
            addCriterion("bank_card_no not in", values, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoBetween(String value1, String value2) {
            addCriterion("bank_card_no between", value1, value2, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardNoNotBetween(String value1, String value2) {
            addCriterion("bank_card_no not between", value1, value2, "bankCardNo");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderIsNull() {
            addCriterion("bank_card_holder is null");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderIsNotNull() {
            addCriterion("bank_card_holder is not null");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderEqualTo(String value) {
            addCriterion("bank_card_holder =", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderNotEqualTo(String value) {
            addCriterion("bank_card_holder <>", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderGreaterThan(String value) {
            addCriterion("bank_card_holder >", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderGreaterThanOrEqualTo(String value) {
            addCriterion("bank_card_holder >=", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderLessThan(String value) {
            addCriterion("bank_card_holder <", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderLessThanOrEqualTo(String value) {
            addCriterion("bank_card_holder <=", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderLike(String value) {
            addCriterion("bank_card_holder like", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderNotLike(String value) {
            addCriterion("bank_card_holder not like", value, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderIn(List<String> values) {
            addCriterion("bank_card_holder in", values, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderNotIn(List<String> values) {
            addCriterion("bank_card_holder not in", values, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderBetween(String value1, String value2) {
            addCriterion("bank_card_holder between", value1, value2, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andBankCardHolderNotBetween(String value1, String value2) {
            addCriterion("bank_card_holder not between", value1, value2, "bankCardHolder");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeIsNull() {
            addCriterion("openning_bank_city_code is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeIsNotNull() {
            addCriterion("openning_bank_city_code is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeEqualTo(Long value) {
            addCriterion("openning_bank_city_code =", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeNotEqualTo(Long value) {
            addCriterion("openning_bank_city_code <>", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeGreaterThan(Long value) {
            addCriterion("openning_bank_city_code >", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("openning_bank_city_code >=", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeLessThan(Long value) {
            addCriterion("openning_bank_city_code <", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeLessThanOrEqualTo(Long value) {
            addCriterion("openning_bank_city_code <=", value, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeIn(List<Long> values) {
            addCriterion("openning_bank_city_code in", values, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeNotIn(List<Long> values) {
            addCriterion("openning_bank_city_code not in", values, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeBetween(Long value1, Long value2) {
            addCriterion("openning_bank_city_code between", value1, value2, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityCodeNotBetween(Long value1, Long value2) {
            addCriterion("openning_bank_city_code not between", value1, value2, "openningBankCityCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameIsNull() {
            addCriterion("openning_bank_city_name is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameIsNotNull() {
            addCriterion("openning_bank_city_name is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameEqualTo(String value) {
            addCriterion("openning_bank_city_name =", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameNotEqualTo(String value) {
            addCriterion("openning_bank_city_name <>", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameGreaterThan(String value) {
            addCriterion("openning_bank_city_name >", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_city_name >=", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameLessThan(String value) {
            addCriterion("openning_bank_city_name <", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_city_name <=", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameLike(String value) {
            addCriterion("openning_bank_city_name like", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameNotLike(String value) {
            addCriterion("openning_bank_city_name not like", value, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameIn(List<String> values) {
            addCriterion("openning_bank_city_name in", values, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameNotIn(List<String> values) {
            addCriterion("openning_bank_city_name not in", values, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameBetween(String value1, String value2) {
            addCriterion("openning_bank_city_name between", value1, value2, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCityNameNotBetween(String value1, String value2) {
            addCriterion("openning_bank_city_name not between", value1, value2, "openningBankCityName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeIsNull() {
            addCriterion("openning_bank_area_code is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeIsNotNull() {
            addCriterion("openning_bank_area_code is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeEqualTo(Long value) {
            addCriterion("openning_bank_area_code =", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeNotEqualTo(Long value) {
            addCriterion("openning_bank_area_code <>", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeGreaterThan(Long value) {
            addCriterion("openning_bank_area_code >", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("openning_bank_area_code >=", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeLessThan(Long value) {
            addCriterion("openning_bank_area_code <", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeLessThanOrEqualTo(Long value) {
            addCriterion("openning_bank_area_code <=", value, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeIn(List<Long> values) {
            addCriterion("openning_bank_area_code in", values, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeNotIn(List<Long> values) {
            addCriterion("openning_bank_area_code not in", values, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeBetween(Long value1, Long value2) {
            addCriterion("openning_bank_area_code between", value1, value2, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaCodeNotBetween(Long value1, Long value2) {
            addCriterion("openning_bank_area_code not between", value1, value2, "openningBankAreaCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameIsNull() {
            addCriterion("openning_bank_area_name is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameIsNotNull() {
            addCriterion("openning_bank_area_name is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameEqualTo(String value) {
            addCriterion("openning_bank_area_name =", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameNotEqualTo(String value) {
            addCriterion("openning_bank_area_name <>", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameGreaterThan(String value) {
            addCriterion("openning_bank_area_name >", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_area_name >=", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameLessThan(String value) {
            addCriterion("openning_bank_area_name <", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_area_name <=", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameLike(String value) {
            addCriterion("openning_bank_area_name like", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameNotLike(String value) {
            addCriterion("openning_bank_area_name not like", value, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameIn(List<String> values) {
            addCriterion("openning_bank_area_name in", values, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameNotIn(List<String> values) {
            addCriterion("openning_bank_area_name not in", values, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameBetween(String value1, String value2) {
            addCriterion("openning_bank_area_name between", value1, value2, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankAreaNameNotBetween(String value1, String value2) {
            addCriterion("openning_bank_area_name not between", value1, value2, "openningBankAreaName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeIsNull() {
            addCriterion("openning_bank_province_code is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeIsNotNull() {
            addCriterion("openning_bank_province_code is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeEqualTo(Long value) {
            addCriterion("openning_bank_province_code =", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeNotEqualTo(Long value) {
            addCriterion("openning_bank_province_code <>", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeGreaterThan(Long value) {
            addCriterion("openning_bank_province_code >", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("openning_bank_province_code >=", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeLessThan(Long value) {
            addCriterion("openning_bank_province_code <", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeLessThanOrEqualTo(Long value) {
            addCriterion("openning_bank_province_code <=", value, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeIn(List<Long> values) {
            addCriterion("openning_bank_province_code in", values, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeNotIn(List<Long> values) {
            addCriterion("openning_bank_province_code not in", values, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeBetween(Long value1, Long value2) {
            addCriterion("openning_bank_province_code between", value1, value2, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceCodeNotBetween(Long value1, Long value2) {
            addCriterion("openning_bank_province_code not between", value1, value2, "openningBankProvinceCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameIsNull() {
            addCriterion("openning_bank_province_name is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameIsNotNull() {
            addCriterion("openning_bank_province_name is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameEqualTo(String value) {
            addCriterion("openning_bank_province_name =", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameNotEqualTo(String value) {
            addCriterion("openning_bank_province_name <>", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameGreaterThan(String value) {
            addCriterion("openning_bank_province_name >", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_province_name >=", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameLessThan(String value) {
            addCriterion("openning_bank_province_name <", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_province_name <=", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameLike(String value) {
            addCriterion("openning_bank_province_name like", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameNotLike(String value) {
            addCriterion("openning_bank_province_name not like", value, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameIn(List<String> values) {
            addCriterion("openning_bank_province_name in", values, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameNotIn(List<String> values) {
            addCriterion("openning_bank_province_name not in", values, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameBetween(String value1, String value2) {
            addCriterion("openning_bank_province_name between", value1, value2, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankProvinceNameNotBetween(String value1, String value2) {
            addCriterion("openning_bank_province_name not between", value1, value2, "openningBankProvinceName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeIsNull() {
            addCriterion("openning_bank_code is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeIsNotNull() {
            addCriterion("openning_bank_code is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeEqualTo(String value) {
            addCriterion("openning_bank_code =", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeNotEqualTo(String value) {
            addCriterion("openning_bank_code <>", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeGreaterThan(String value) {
            addCriterion("openning_bank_code >", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_code >=", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeLessThan(String value) {
            addCriterion("openning_bank_code <", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_code <=", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeLike(String value) {
            addCriterion("openning_bank_code like", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeNotLike(String value) {
            addCriterion("openning_bank_code not like", value, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeIn(List<String> values) {
            addCriterion("openning_bank_code in", values, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeNotIn(List<String> values) {
            addCriterion("openning_bank_code not in", values, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeBetween(String value1, String value2) {
            addCriterion("openning_bank_code between", value1, value2, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankCodeNotBetween(String value1, String value2) {
            addCriterion("openning_bank_code not between", value1, value2, "openningBankCode");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameIsNull() {
            addCriterion("openning_bank_name is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameIsNotNull() {
            addCriterion("openning_bank_name is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameEqualTo(String value) {
            addCriterion("openning_bank_name =", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameNotEqualTo(String value) {
            addCriterion("openning_bank_name <>", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameGreaterThan(String value) {
            addCriterion("openning_bank_name >", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_name >=", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameLessThan(String value) {
            addCriterion("openning_bank_name <", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_name <=", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameLike(String value) {
            addCriterion("openning_bank_name like", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameNotLike(String value) {
            addCriterion("openning_bank_name not like", value, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameIn(List<String> values) {
            addCriterion("openning_bank_name in", values, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameNotIn(List<String> values) {
            addCriterion("openning_bank_name not in", values, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameBetween(String value1, String value2) {
            addCriterion("openning_bank_name between", value1, value2, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankNameNotBetween(String value1, String value2) {
            addCriterion("openning_bank_name not between", value1, value2, "openningBankName");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlIsNull() {
            addCriterion("openning_bank_license_url is null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlIsNotNull() {
            addCriterion("openning_bank_license_url is not null");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlEqualTo(String value) {
            addCriterion("openning_bank_license_url =", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlNotEqualTo(String value) {
            addCriterion("openning_bank_license_url <>", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlGreaterThan(String value) {
            addCriterion("openning_bank_license_url >", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlGreaterThanOrEqualTo(String value) {
            addCriterion("openning_bank_license_url >=", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlLessThan(String value) {
            addCriterion("openning_bank_license_url <", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlLessThanOrEqualTo(String value) {
            addCriterion("openning_bank_license_url <=", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlLike(String value) {
            addCriterion("openning_bank_license_url like", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlNotLike(String value) {
            addCriterion("openning_bank_license_url not like", value, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlIn(List<String> values) {
            addCriterion("openning_bank_license_url in", values, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlNotIn(List<String> values) {
            addCriterion("openning_bank_license_url not in", values, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlBetween(String value1, String value2) {
            addCriterion("openning_bank_license_url between", value1, value2, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andOpenningBankLicenseUrlNotBetween(String value1, String value2) {
            addCriterion("openning_bank_license_url not between", value1, value2, "openningBankLicenseUrl");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeIsNull() {
            addCriterion("clearing_bank_code is null");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeIsNotNull() {
            addCriterion("clearing_bank_code is not null");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeEqualTo(String value) {
            addCriterion("clearing_bank_code =", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeNotEqualTo(String value) {
            addCriterion("clearing_bank_code <>", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeGreaterThan(String value) {
            addCriterion("clearing_bank_code >", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeGreaterThanOrEqualTo(String value) {
            addCriterion("clearing_bank_code >=", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeLessThan(String value) {
            addCriterion("clearing_bank_code <", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeLessThanOrEqualTo(String value) {
            addCriterion("clearing_bank_code <=", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeLike(String value) {
            addCriterion("clearing_bank_code like", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeNotLike(String value) {
            addCriterion("clearing_bank_code not like", value, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeIn(List<String> values) {
            addCriterion("clearing_bank_code in", values, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeNotIn(List<String> values) {
            addCriterion("clearing_bank_code not in", values, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeBetween(String value1, String value2) {
            addCriterion("clearing_bank_code between", value1, value2, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andClearingBankCodeNotBetween(String value1, String value2) {
            addCriterion("clearing_bank_code not between", value1, value2, "clearingBankCode");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameIsNull() {
            addCriterion("settle_id_card_name is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameIsNotNull() {
            addCriterion("settle_id_card_name is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameEqualTo(String value) {
            addCriterion("settle_id_card_name =", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameNotEqualTo(String value) {
            addCriterion("settle_id_card_name <>", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameGreaterThan(String value) {
            addCriterion("settle_id_card_name >", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_name >=", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameLessThan(String value) {
            addCriterion("settle_id_card_name <", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_name <=", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameLike(String value) {
            addCriterion("settle_id_card_name like", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameNotLike(String value) {
            addCriterion("settle_id_card_name not like", value, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameIn(List<String> values) {
            addCriterion("settle_id_card_name in", values, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameNotIn(List<String> values) {
            addCriterion("settle_id_card_name not in", values, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameBetween(String value1, String value2) {
            addCriterion("settle_id_card_name between", value1, value2, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNameNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_name not between", value1, value2, "settleIdCardName");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoIsNull() {
            addCriterion("settle_id_card_no is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoIsNotNull() {
            addCriterion("settle_id_card_no is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoEqualTo(String value) {
            addCriterion("settle_id_card_no =", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoNotEqualTo(String value) {
            addCriterion("settle_id_card_no <>", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoGreaterThan(String value) {
            addCriterion("settle_id_card_no >", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_no >=", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoLessThan(String value) {
            addCriterion("settle_id_card_no <", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_no <=", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoLike(String value) {
            addCriterion("settle_id_card_no like", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoNotLike(String value) {
            addCriterion("settle_id_card_no not like", value, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoIn(List<String> values) {
            addCriterion("settle_id_card_no in", values, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoNotIn(List<String> values) {
            addCriterion("settle_id_card_no not in", values, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoBetween(String value1, String value2) {
            addCriterion("settle_id_card_no between", value1, value2, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNoNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_no not between", value1, value2, "settleIdCardNo");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressIsNull() {
            addCriterion("settle_id_card_address is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressIsNotNull() {
            addCriterion("settle_id_card_address is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressEqualTo(String value) {
            addCriterion("settle_id_card_address =", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressNotEqualTo(String value) {
            addCriterion("settle_id_card_address <>", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressGreaterThan(String value) {
            addCriterion("settle_id_card_address >", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_address >=", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressLessThan(String value) {
            addCriterion("settle_id_card_address <", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_address <=", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressLike(String value) {
            addCriterion("settle_id_card_address like", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressNotLike(String value) {
            addCriterion("settle_id_card_address not like", value, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressIn(List<String> values) {
            addCriterion("settle_id_card_address in", values, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressNotIn(List<String> values) {
            addCriterion("settle_id_card_address not in", values, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressBetween(String value1, String value2) {
            addCriterion("settle_id_card_address between", value1, value2, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardAddressNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_address not between", value1, value2, "settleIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgIsNull() {
            addCriterion("settle_id_card_portrait_img is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgIsNotNull() {
            addCriterion("settle_id_card_portrait_img is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgEqualTo(String value) {
            addCriterion("settle_id_card_portrait_img =", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgNotEqualTo(String value) {
            addCriterion("settle_id_card_portrait_img <>", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgGreaterThan(String value) {
            addCriterion("settle_id_card_portrait_img >", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_portrait_img >=", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgLessThan(String value) {
            addCriterion("settle_id_card_portrait_img <", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_portrait_img <=", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgLike(String value) {
            addCriterion("settle_id_card_portrait_img like", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgNotLike(String value) {
            addCriterion("settle_id_card_portrait_img not like", value, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgIn(List<String> values) {
            addCriterion("settle_id_card_portrait_img in", values, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgNotIn(List<String> values) {
            addCriterion("settle_id_card_portrait_img not in", values, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgBetween(String value1, String value2) {
            addCriterion("settle_id_card_portrait_img between", value1, value2, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPortraitImgNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_portrait_img not between", value1, value2, "settleIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgIsNull() {
            addCriterion("settle_id_card_national_emblem_img is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgIsNotNull() {
            addCriterion("settle_id_card_national_emblem_img is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgEqualTo(String value) {
            addCriterion("settle_id_card_national_emblem_img =", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgNotEqualTo(String value) {
            addCriterion("settle_id_card_national_emblem_img <>", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgGreaterThan(String value) {
            addCriterion("settle_id_card_national_emblem_img >", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_national_emblem_img >=", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgLessThan(String value) {
            addCriterion("settle_id_card_national_emblem_img <", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_national_emblem_img <=", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgLike(String value) {
            addCriterion("settle_id_card_national_emblem_img like", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgNotLike(String value) {
            addCriterion("settle_id_card_national_emblem_img not like", value, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgIn(List<String> values) {
            addCriterion("settle_id_card_national_emblem_img in", values, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgNotIn(List<String> values) {
            addCriterion("settle_id_card_national_emblem_img not in", values, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgBetween(String value1, String value2) {
            addCriterion("settle_id_card_national_emblem_img between", value1, value2, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardNationalEmblemImgNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_national_emblem_img not between", value1, value2, "settleIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeIsNull() {
            addCriterion("settle_id_period_type is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeIsNotNull() {
            addCriterion("settle_id_period_type is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeEqualTo(Integer value) {
            addCriterion("settle_id_period_type =", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeNotEqualTo(Integer value) {
            addCriterion("settle_id_period_type <>", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeGreaterThan(Integer value) {
            addCriterion("settle_id_period_type >", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("settle_id_period_type >=", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeLessThan(Integer value) {
            addCriterion("settle_id_period_type <", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeLessThanOrEqualTo(Integer value) {
            addCriterion("settle_id_period_type <=", value, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeIn(List<Integer> values) {
            addCriterion("settle_id_period_type in", values, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeNotIn(List<Integer> values) {
            addCriterion("settle_id_period_type not in", values, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeBetween(Integer value1, Integer value2) {
            addCriterion("settle_id_period_type between", value1, value2, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdPeriodTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("settle_id_period_type not between", value1, value2, "settleIdPeriodType");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartIsNull() {
            addCriterion("settle_id_card_period_start is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartIsNotNull() {
            addCriterion("settle_id_card_period_start is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartEqualTo(String value) {
            addCriterion("settle_id_card_period_start =", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartNotEqualTo(String value) {
            addCriterion("settle_id_card_period_start <>", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartGreaterThan(String value) {
            addCriterion("settle_id_card_period_start >", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_period_start >=", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartLessThan(String value) {
            addCriterion("settle_id_card_period_start <", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_period_start <=", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartLike(String value) {
            addCriterion("settle_id_card_period_start like", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartNotLike(String value) {
            addCriterion("settle_id_card_period_start not like", value, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartIn(List<String> values) {
            addCriterion("settle_id_card_period_start in", values, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartNotIn(List<String> values) {
            addCriterion("settle_id_card_period_start not in", values, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartBetween(String value1, String value2) {
            addCriterion("settle_id_card_period_start between", value1, value2, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodStartNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_period_start not between", value1, value2, "settleIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndIsNull() {
            addCriterion("settle_id_card_period_end is null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndIsNotNull() {
            addCriterion("settle_id_card_period_end is not null");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndEqualTo(String value) {
            addCriterion("settle_id_card_period_end =", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndNotEqualTo(String value) {
            addCriterion("settle_id_card_period_end <>", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndGreaterThan(String value) {
            addCriterion("settle_id_card_period_end >", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndGreaterThanOrEqualTo(String value) {
            addCriterion("settle_id_card_period_end >=", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndLessThan(String value) {
            addCriterion("settle_id_card_period_end <", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndLessThanOrEqualTo(String value) {
            addCriterion("settle_id_card_period_end <=", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndLike(String value) {
            addCriterion("settle_id_card_period_end like", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndNotLike(String value) {
            addCriterion("settle_id_card_period_end not like", value, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndIn(List<String> values) {
            addCriterion("settle_id_card_period_end in", values, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndNotIn(List<String> values) {
            addCriterion("settle_id_card_period_end not in", values, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndBetween(String value1, String value2) {
            addCriterion("settle_id_card_period_end between", value1, value2, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andSettleIdCardPeriodEndNotBetween(String value1, String value2) {
            addCriterion("settle_id_card_period_end not between", value1, value2, "settleIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andElectronicPactIsNull() {
            addCriterion("electronic_pact is null");
            return (Criteria) this;
        }

        public Criteria andElectronicPactIsNotNull() {
            addCriterion("electronic_pact is not null");
            return (Criteria) this;
        }

        public Criteria andElectronicPactEqualTo(String value) {
            addCriterion("electronic_pact =", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactNotEqualTo(String value) {
            addCriterion("electronic_pact <>", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactGreaterThan(String value) {
            addCriterion("electronic_pact >", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactGreaterThanOrEqualTo(String value) {
            addCriterion("electronic_pact >=", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactLessThan(String value) {
            addCriterion("electronic_pact <", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactLessThanOrEqualTo(String value) {
            addCriterion("electronic_pact <=", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactLike(String value) {
            addCriterion("electronic_pact like", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactNotLike(String value) {
            addCriterion("electronic_pact not like", value, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactIn(List<String> values) {
            addCriterion("electronic_pact in", values, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactNotIn(List<String> values) {
            addCriterion("electronic_pact not in", values, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactBetween(String value1, String value2) {
            addCriterion("electronic_pact between", value1, value2, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andElectronicPactNotBetween(String value1, String value2) {
            addCriterion("electronic_pact not between", value1, value2, "electronicPact");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}